DefinitionFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.DefinitionFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class DefinitionFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.DefinitionFormPrepareAction

Direct Known Subclasses:
  EditDefinitionConditionsFormPrepareAction, NewDefinitionFormPrepareAction

    public abstract class DefinitionFormPrepareAction

extends org.apache.struts.tiles.actions.TilesAction

Prepare the alert definition form for new / edit.

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`DefinitionFormPrepareAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Prepare the form for a new alert definition.
`protected java.util.List` | `getCustomProperties(int sessionID, AppdefEntityID adeId, org.hyperic.hq.bizapp.shared.AppdefBoss ab)` Returns a List of custom property keys for the passed-in resource.
`protected abstract void` | `setupConditions(javax.servlet.http.HttpServletRequest request, DefinitionForm defForm)`
`protected void` | `setupForm(DefinitionForm defForm, javax.servlet.http.HttpServletRequest request, int sessionID, org.hyperic.hq.bizapp.shared.EventsBoss eb, org.hyperic.hq.bizapp.shared.MeasurementBoss mb, org.hyperic.hq.bizapp.shared.ControlBoss cb, org.hyperic.hq.bizapp.shared.AppdefBoss ab)`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### DefinitionFormPrepareAction

    public DefinitionFormPrepareAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.tiles.ComponentContext context,
                                                          org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Prepare the form for a new alert definition.

  Overrides:
    `execute` in class `org.apache.struts.tiles.actions.TilesAction`
  Throws:
    `java.lang.Exception`

### setupForm

    protected void setupForm(DefinitionForm defForm,
                             javax.servlet.http.HttpServletRequest request,
                             int sessionID,
                             org.hyperic.hq.bizapp.shared.EventsBoss eb,
                             org.hyperic.hq.bizapp.shared.MeasurementBoss mb,
                             org.hyperic.hq.bizapp.shared.ControlBoss cb,
                             org.hyperic.hq.bizapp.shared.AppdefBoss ab)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setupConditions

    protected abstract void setupConditions(javax.servlet.http.HttpServletRequest request,
                                            DefinitionForm defForm)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCustomProperties

    protected java.util.List getCustomProperties(int sessionID,
                                                 AppdefEntityID adeId,
                                                 org.hyperic.hq.bizapp.shared.AppdefBoss ab)
                                          throws SessionNotFoundException,
                                                 SessionTimeoutException,
                                                 AppdefEntityNotFoundException,
                                                 PermissionException,
                                                 java.rmi.RemoteException

  Returns a List of custom property keys for the passed-in resource.

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.